// C2CRem.h
#ifndef _C2CREM_H_INCLUDED_
#define _C2CREM_H_INCLUDED_

#if     _MSC_VER > 1000
#pragma once
#endif

#ifdef  __cplusplus
extern "C" {
#endif

#ifndef C2CREM_DLL_EXPORTS_
#define C2CREM_DLL_EXPORTS_ __declspec(dllimport)
#endif

///////////////////////////////////////////////////////////////////////////////
// C2CControl
//
// Parameters:
//   bCapture         - Whether to take pictures.
//                         TRUE: take 1 picture with all connected cameras. 
//                         FALSE - do not take pictures.
//
//	 szCamera         - Name of the cameras to take picture.
//                      If NULL - each connected cameras takes 1 picture.
//                      Currently only one specific camera or all cameras can take picture, no mix and match.
//                      If bCapture is FALSE, this parameter ignored.
//
//   szTarget         - Target computer/domain/workgroup name. 
//                         Some text: name of the computer/domain/workgroup.
//                         NULL or empty: local computer.
//                         "*": same domain/workgroup where local computer belongs.
//
//   szUserKey        - Optional user key (string) for encryption data in transit. 
//                      The same key must be specified on the recipient side.
//                         NULL: user key is not used.
//                         Empty string: Key is still generated from empty string.
//
//   szINI            - Name of the INI file to load. 
//                         NULL: no INI file is loaded. 
//                         Empty string: default INI file is loaded.
//
//   szCPFF           - Names of CPFF files to load.
//                         NULL: no CPFF files loaded.
//                         Empty string: CPFF files specified in INI file are loaded.
//
//   bRefreshCameras  - Tells to reconnect to the cameras currently connected to the computers
//                      (for example if automatic detection is off or failed to detect connect/disconnect).
//                         TRUE - reconnect.
//                         FALSE - do not reconnect.

C2CREM_DLL_EXPORTS_
HRESULT WINAPI C2CRemote(BOOL bCapture, char* szCamera, char* szTarget, char* szUserKey, char* szINI, char* szCPFF, BOOL bRefreshCameras);

typedef HRESULT (WINAPI *pC2CRemote)(BOOL bCapture, char* szCamera, char* szTarget, char* szUserKey, char* szINI, char* szCPFF, BOOL bRefreshCameras);

#ifdef  __cplusplus
}
#endif

#endif // _C2CREM_H_INCLUDED_
